<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class IyosisPiwikViewIyosisPiwik extends JView
{
    function display($tpl = null)
    {
	JToolBarHelper::title( JText::_( 'Iyosis Piwik' ), 'generic.png' );

	$config =& $this->get('Data');
	$this->assignRef( 'config',	$config );

	$task = JRequest::getVar('task');
	$this->assignRef( 'task',	$task );

	$configured = false;
	$this->assignRef( 'configured',	$configured );

	if ($this->config->method == "token_auth") :

		if ($this->config->httpURL&&$this->config->idsite&&$this->config->period&&$this->config->date&&$this->config->token_auth) $this->configured = true;

		switch ($this->task) {
			//Dashboard
			case false:
				//getVisits
				$getVisitsData = $this->get('Visits');
				$this->assignRef( 'getVisitsData',	$getVisitsData );
				//getPageUrls
				$getPagesData = $this->get('PageUrls');
				$this->assignRef( 'getPagesData',	$getPagesData );
				//getKeywords
				$getKeywordsData = $this->get('Keywords');
				$this->assignRef( 'getKeywordsData',	$getKeywordsData );
				//getWebsites
				$getWebsitesData = $this->get('Websites');
				$this->assignRef( 'getWebsitesData',	$getWebsitesData );
				break;
			//Visitors
			case "visitors":
				//getVisits
				$getVisitsData = $this->get('Visits');
				$this->assignRef( 'getVisitsData',	$getVisitsData );
				break;
			case "engagement":
				//getVisitsReturning
				$getVisitsReturningData = $this->get('VisitsReturning');
				$this->assignRef( 'getVisitsReturningData',	$getVisitsReturningData );
				//getNumberOfVisitsPerVisitDuration
				$getVisitDurationData = $this->get('VisitDuration');
				$this->assignRef( 'getVisitDurationData',	$getVisitDurationData );
				//getNumberOfVisitsPerPage
				$getVisitsPerPageData = $this->get('VisitsPerPage');
				$this->assignRef( 'getVisitsPerPageData',	$getVisitsPerPageData );
				break;
			case "locations":
				//getProvider
				$getProviderData = $this->get('Provider');
				$this->assignRef( 'getProviderData',	$getProviderData );
				//getCountry
				$getCountryData = $this->get('Country');
				$this->assignRef( 'getCountryData',	$getCountryData );
				break;
			case "times":
				//getVisitInformationPerLocalTime
				$getVisitsLocalTimeData = $this->get('VisitsLocalTime');
				$this->assignRef( 'getVisitsLocalTimeData',	$getVisitsLocalTimeData );
				//getVisitInformationPerServerTime
				$getVisitsServerTimeData = $this->get('VisitsServerTime');
				$this->assignRef( 'getVisitsServerTimeData',	$getVisitsServerTimeData );
				break;
			case "settings":
				//getBrowserType
				$getBrowserTypeData = $this->get('BrowserType');
				$this->assignRef( 'getBrowserTypeData',	$getBrowserTypeData );
				//getBrowser
				$getBrowserData = $this->get('Browser');
				$this->assignRef( 'getBrowserData',	$getBrowserData );
				//getPlugin
				$getPluginData = $this->get('Plugin');
				$this->assignRef( 'getPluginData',	$getPluginData );
				//getConfiguration
				$getConfigurationData = $this->get('Configuration');
				$this->assignRef( 'getConfigurationData',	$getConfigurationData );
				//getResolution
				$getResolutionData = $this->get('Resolution');
				$this->assignRef( 'getResolutionData',	$getResolutionData );
				//getOS
				$getOSData = $this->get('OS');
				$this->assignRef( 'getOSData',	$getOSData );
				break;
			//Actions
			case "pages":
				//getPageUrls
				$getPagesData = $this->get('PageUrls');
				$this->assignRef( 'getPagesData',	$getPagesData );
				break;
			case "pagetitles":
				//getPageTitles
				$getPageTitlesData = $this->get('PageTitles');
				$this->assignRef( 'getPageTitlesData',	$getPageTitlesData );
				break;
			case "outlinks":
				//getOutlinks
				$getOutlinksData = $this->get('Outlinks');
				$this->assignRef( 'getOutlinksData',	$getOutlinksData );
				break;
			//Referrers
			case "referrers":
				//getRefererType
				$getRefererTypeData = $this->get('RefererType');
				$this->assignRef( 'getRefererTypeData',	$getRefererTypeData );
			case "searchengines":
				//getSearchEngines
				$getSearchEnginesData = $this->get('SearchEngines');
				$this->assignRef( 'getSearchEnginesData',	$getSearchEnginesData );
				//getKeywords
				$getKeywordsData = $this->get('Keywords');
				$this->assignRef( 'getKeywordsData',	$getKeywordsData );
			case "websites":
				//getWebsites
				$getWebsitesData = $this->get('Websites');
				$this->assignRef( 'getWebsitesData',	$getWebsitesData );
		}

		//getSEORank
		if ($this->task == 'seo') :
			$widgetURL['getSEORank'] = $this->config->httpURL;
			$widgetURL['getSEORank'] .= "?module=API&method=SEO.getRank";
			$widgetURL['getSEORank'] .= "&url=http://www.iyosis.com/";
			$widgetURL['getSEORank'] .= "&format=PHP";
			$widgetURL['getSEORank'] .= "&token_auth=".$this->config->token_auth;

			$fetchedSEOWidget = file_get_contents($widgetURL['getSEORank']);
			$contentSEOWidget = unserialize($fetchedSEOWidget);

			$this->assignRef( 'contentSEOWidget',	$contentSEOWidget );
		endif;

	endif;

	if ($this->config->method == "auto_login") :
		$iframeURL = $this->config->httpURL."index.php?module=Login&action=logme&login=".$this->config->username."&password=".$this->config->password;
		$this->assignRef( 'iframeURL',	$iframeURL );
		if ($this->config->httpURL&&$this->config->username&&$this->config->password) $this->configured = true;
	endif;

	if ($this->config->method == "public_view") :
		$iframeURL = $this->config->httpURL;
		if ($this->config->httpURL) $this->configured = true;
	endif;

	parent::display($tpl);
    }
}

